/*
 * bom.h - BOM data
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef BOM_H
#define	BOM_H

#include "param.h"


struct bom {
	const char *ref;	/* component reference */
	const char *sym;	/* symbol */
	const char **fields;	/* fields */
	int n_fields;
	const struct param *vars; /* variables (before conversion) */
	const struct bom *next;
};

extern struct bom *bom;
extern int n_bom;


struct bom *bom_parse_line(const char *s);

#endif /* !BOM_H */
